com.microfocus.awm.meta.interfaces

## Enum ETypes

- java.lang.Object
- - java.lang.Enum<ETypes>
  - - com.microfocus.awm.meta.interfaces.ETypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ETypes>, org.eclipse.emf.common.util.Enumerator

      public enum ETypes
      extends java.lang.Enum<ETypes>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the property type: Boolean, Date, Numeric, Password, SelectValue, String, TextArea, TextArray, Time
  See Also:
    `TaurusPackage.getETypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` The 'Boolean' literal object.
    `DATE` The 'Date' literal object.
    `NUMERIC` The 'Numeric' literal object.
    `PASSWORD` The 'Password' literal object.
    `SELECT_VALUE` The 'Select Value' literal object.
    `STRING` The 'String' literal object.
    `TEXT_AREA` The 'Text Area' literal object.
    `TEXT_ARRAY` The 'Text Array' literal object.
    `TIME` The 'Time' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN_VALUE` The 'Boolean' literal value.
    `static int` | `DATE_VALUE` The 'Date' literal value.
    `static int` | `NUMERIC_VALUE` The 'Numeric' literal value.
    `static int` | `PASSWORD_VALUE` The 'Password' literal value.
    `static int` | `SELECT_VALUE_VALUE` The 'Select Value' literal value.
    `static int` | `STRING_VALUE` The 'String' literal value.
    `static int` | `TEXT_AREA_VALUE` The 'Text Area' literal value.
    `static int` | `TEXT_ARRAY_VALUE` The 'Text Array' literal value.
    `static int` | `TIME_VALUE` The 'Time' literal value.
    `static java.util.List<ETypes>` | `VALUES` A public read-only list of all the 'ETypes' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ETypes` | `get(int value)` Returns the 'ETypes' literal with the specified integer value.
    `static ETypes` | `get(java.lang.String literal)` Returns the 'ETypes' literal with the specified literal value.
    `static ETypes` | `getByName(java.lang.String name)` Returns the 'ETypes' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ETypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ETypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final ETypes BOOLEAN

      The 'Boolean' literal object.
      See Also:
        `BOOLEAN_VALUE`

    - #### DATE

          public static final ETypes DATE

      The 'Date' literal object.
      See Also:
        `DATE_VALUE`

    - #### NUMERIC

          public static final ETypes NUMERIC

      The 'Numeric' literal object.
      See Also:
        `NUMERIC_VALUE`

    - #### PASSWORD

          public static final ETypes PASSWORD

      The 'Password' literal object.
      See Also:
        `PASSWORD_VALUE`

    - #### SELECT_VALUE

          public static final ETypes SELECT_VALUE

      The 'Select Value' literal object.
      See Also:
        `SELECT_VALUE_VALUE`

    - #### STRING

          public static final ETypes STRING

      The 'String' literal object.
      See Also:
        `STRING_VALUE`

    - #### TEXT_AREA

          public static final ETypes TEXT_AREA

      The 'Text Area' literal object.
      See Also:
        `TEXT_AREA_VALUE`

    - #### TEXT_ARRAY

          public static final ETypes TEXT_ARRAY

      The 'Text Array' literal object.
      See Also:
        `TEXT_ARRAY_VALUE`

    - #### TIME

          public static final ETypes TIME

      The 'Time' literal object.
      See Also:
        `TIME_VALUE`

  - ### Field Detail

    - #### BOOLEAN_VALUE

          public static final int BOOLEAN_VALUE

      The 'Boolean' literal value.
      See Also:
        `BOOLEAN`, Constant Field Values

    - #### DATE_VALUE

          public static final int DATE_VALUE

      The 'Date' literal value.
      See Also:
        `DATE`, Constant Field Values

    - #### NUMERIC_VALUE

          public static final int NUMERIC_VALUE

      The 'Numeric' literal value.
      See Also:
        `NUMERIC`, Constant Field Values

    - #### PASSWORD_VALUE

          public static final int PASSWORD_VALUE

      The 'Password' literal value.
      See Also:
        `PASSWORD`, Constant Field Values

    - #### SELECT_VALUE_VALUE

          public static final int SELECT_VALUE_VALUE

      The 'Select Value' literal value.
      See Also:
        `SELECT_VALUE`, Constant Field Values

    - #### STRING_VALUE

          public static final int STRING_VALUE

      The 'String' literal value.
      See Also:
        `STRING`, Constant Field Values

    - #### TEXT_AREA_VALUE

          public static final int TEXT_AREA_VALUE

      The 'Text Area' literal value.
      See Also:
        `TEXT_AREA`, Constant Field Values

    - #### TEXT_ARRAY_VALUE

          public static final int TEXT_ARRAY_VALUE

      The 'Text Array' literal value.
      See Also:
        `TEXT_ARRAY`, Constant Field Values

    - #### TIME_VALUE

          public static final int TIME_VALUE

      The 'Time' literal value.
      See Also:
        `TIME`, Constant Field Values

    - #### VALUES

          public static final java.util.List<ETypes> VALUES

      A public read-only list of all the 'ETypes' enumerators.

  - ### Method Detail

    - #### values

          public static ETypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ETypes c : ETypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ETypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ETypes get(java.lang.String literal)

      Returns the 'ETypes' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static ETypes getByName(java.lang.String name)

      Returns the 'ETypes' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static ETypes get(int value)

      Returns the 'ETypes' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ETypes>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.